NetBeans Forums

 FAQFAQ   SearchSearch   MemberlistMemberlist   RegisterRegister   ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 
  

error loading zendframework with netbeans 6.9

 
Post new topic   Reply to topic    NetBeans Forums -> PHP Users
View previous topic :: View next topic  
Author Message
rocorama



Joined: 22 May 2010
Posts: 1

PostPosted: Sat May 22, 2010 3:23 am    Post subject: error loading zendframework with netbeans 6.9 Reply with quote

I viewed the screen cast demonstrating how to develop PHP applications using Zend Framework in the NetBeans IDE. So I decided to try this with version 6.9 and when I go to register provider under the zend tab I noticed an error generated in the output message box with the following: '"php.exe"' is not recognized as an internal or external command, operable program or batch file. I couldn't find another thread with this topic and I'm wondering if anyone else has experienced the same error? Thanks in advance for your reply.
Back to top
Tomas Mysik
Posted via mailing list.





PostPosted: Wed May 26, 2010 8:51 am    Post subject: error loading zendframework with netbeans 6.9 Reply with quote

Hi,

Dne sobota 22 května 2010 05:25:08 rocorama napsal(a):
Quote:
I viewed the screen cast demonstrating how to develop PHP applications
using Zend Framework in the NetBeans IDE. So I decided to try this with
version 6.9 and when I go to register provider under the zend tab I
noticed an error generated in the output message box with the following:
'"php.exe"' is not recognized as an internal or external command, operable
program or batch file. I couldn't find another thread with this topic and
I'm wondering if anyone else has experienced the same error? Thanks in
advance for your reply.

very likely something incorrect with your setup - try to run your Zend
Framework Tool (zf.bat) directly from command line, I guess it will end with
the same error (in fact, this is what NetBeans does if one clicks the Register
Provider button - NetBeans just calls ZF script).

HTH,
Tomas
--
Tomas Mysik
address-removed
Back to top
Jeff Rubinoff
Posted via mailing list.





PostPosted: Wed May 26, 2010 9:18 am    Post subject: error loading zendframework with netbeans 6.9 Reply with quote

Also, what is your PHP/Zend setup? Are you using an AMP?

On 5/26/2010 10:51 AM, Tomas Mysik wrote:
Quote:
Hi,

Dne sobota 22 května 2010 05:25:08 rocorama napsal(a):

Quote:
I viewed the screen cast demonstrating how to develop PHP applications
using Zend Framework in the NetBeans IDE. So I decided to try this with
version 6.9 and when I go to register provider under the zend tab I
noticed an error generated in the output message box with the following:
'"php.exe"' is not recognized as an internal or external command, operable
program or batch file. I couldn't find another thread with this topic and
I'm wondering if anyone else has experienced the same error? Thanks in
advance for your reply.

very likely something incorrect with your setup - try to run your Zend
Framework Tool (zf.bat) directly from command line, I guess it will end with
the same error (in fact, this is what NetBeans does if one clicks the Register
Provider button - NetBeans just calls ZF script).

HTH,
Tomas
Back to top
Bob McConnell
Posted via mailing list.





PostPosted: Wed May 26, 2010 7:25 pm    Post subject: error loading zendframework with netbeans 6.9 Reply with quote

From: rocorama

Quote:
I viewed the screen cast demonstrating how to develop PHP
applications using Zend Framework in the NetBeans IDE. So
I decided to try this with version 6.9 and when I go to
register provider under the zend tab I noticed an error
generated in the output message box with the following:
'"php.exe"' is not recognized as an internal or external
command, operable program or batch file. I couldn't find
another thread with this topic and I'm wondering if anyone
else has experienced the same error? Thanks in advance for
your reply.

If you are on MS-Windows or for some other reason you don't have a CLI
(*) executable for PHP installed on your computer, you will get this.
You need to go to the PHP home site, download and install the
application.

Bob McConnell

(*) Command Line Interface
Back to top
mdrizwan



Joined: 18 Jun 2010
Posts: 1
Location: Pakistan

PostPosted: Fri Jun 18, 2010 4:36 am    Post subject: Hope Will Solve This Issue Reply with quote

I am a new to php and all these but I think if you add

C:\wamp\bin\php\php5.3.0

or your php directory path in Windows

System Properties > Advance > System Envoiremental > Path

;C:\wamp\bin\php\php5.3.0


hope it will solve this issue,


Source:

http://samsami2u.wordpress.com/2008/07/18/phpexe-is-not-recognized-as-an-internal-or-external-command/
Back to top
tentimes



Joined: 07 Jun 2010
Posts: 25

PostPosted: Tue Jun 22, 2010 10:17 pm    Post subject: Reply with quote

MAke sure that afyer you install PHP you remove it again and netbeans/xdebug etc are all pointing to php on your localhost. Also, delete your .zf file in windows user folder (users/yourname) and re-register provider.

You may want to check my thread further down:
[url]
http://forums.netbeans.org/viewtopic.php?t=28161&postdays=0&postorder=asc&start=0[/url]
Back to top
Display posts from previous:   
Post new topic   Reply to topic    NetBeans Forums -> PHP Users All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo